%define drakxtools_required_version  14.39
%define drakxtools_conflicted_version  10.4.89

Summary: 	Tools to configure the keyboard, the mice and the graphic card
Name:		drakx-kbd-mouse-x11
Version:	0.112
Release:	1
Source0:	%{name}-%{version}.tar.xz
Source1:	XFdrake.desktop
License:	GPLv2+
Group:		System/Configuration/Other
Url:		https://abf.rosalinux.ru/soft/drakx-kbd-mouse-x11
BuildRequires:	perl-MDK-Common-devel gettext perl-devel
BuildRequires:	libxxf86misc-devel ncurses-devel
Requires:	drakxtools-curses => %drakxtools_required_version
# need the common pam config files for usermode config
Requires:	usermode-consoleonly >= 1.92-4mdv2008.0
%ifnarch %{sparcx} %{arm} %{mips}
Requires:	monitor-edid >= 1.12
# Need for grub2-cfg-mod utility
Requires:	grub2 >= 2.00-31
%endif
# for program:
Conflicts:	drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts:	drakxtools-curses <= %drakxtools_conflicted_version
# for -noAutoAddDevices:
Conflicts:	x11-server-xorg < 1.5.99.3-1.20090110.13
# for Cards+ using nvidia-current|nvidia71xx|nvidia96xx instead of nvidia/nvidia97xx/NVIDIA_LEGACY
Requires:	ldetect-lst >= 0.1.312
# for nokmsboot (initrds have to have nokmsboot support and udev has to handle it)
Conflicts:	mkinitrd < 6.0.93-22
Conflicts:	dracut < 008-6
Conflicts:	udev < 204

# we don't want to require X libs (xf86misc is always used inside an eval)
%define  __noautoreq ^libX

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%prep
%setup -q
%apply_patches

%build
%make OPTIMIZE="%{optflags} -Os"

%install
%makeinstall_std

#install lang
%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# consolehelper configuration
# ask for user password
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/XFdrake
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
cat > %{buildroot}%{_sysconfdir}/pam.d/xfdrake  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/xfdrake <<EOF
USER=<user>
PROGRAM=/usr/sbin/XFdrake
FALLBACK=false
SESSION=true
EOF

ln -s %{_sysconfdir}/security/console.apps/xfdrake \
        %{buildroot}%{_sysconfdir}/security/console.apps/XFdrake

# add nokmsboot if necessary and rebuild initrds so that they handle it
%triggerpostun -- drakx-kbd-mouse-x11 < 0.91
perl -I/usr/lib/libDrakX -MXconfig::various -e 'Xconfig::various::setup_kms();' &>/dev/null
%{_sbindir}/bootloader-config --action rebuild-initrds || :

%files -f %{name}.lang
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/pam.d/xfdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/xfdrake
# symlink
%{_sysconfdir}/security/console.apps/XFdrake
/sbin/display_driver_helper
%_bindir/XFdrake
%_sbindir/*
%_datadir/libDrakX/pixmaps/*
/usr/lib/libDrakX/auto/*
/usr/lib/libDrakX/xf86misc/main.pm
/usr/lib/libDrakX/Xconfig/*.pm
%dir /usr/lib/libDrakX/Xconfig
/usr/lib/libDrakX/*.pm
%{_datadir}/applications/*.desktop


%changelog
* Mon Sep 29 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.112-1
+ Revision: 5da0245
- Updated to 112

* Wed Sep 24 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.111-1
+ Revision: eb6a583
- Updated to 111.

* Thu Aug 14 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.110-1
+ Revision: 6aee3fb
- Updated to 110

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.109-3
+ Revision: 893ea3d
- MassBuild#440: Increase release tag

* Thu May 29 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.109-2
+ Revision: 49e1f1f
- release up

* Fri Feb 14 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.109-1
+ Revision: f96fcfb
- Updated to 109

* Fri Feb 14 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.108-1
+ Revision: c090f0e
- Updated to 108: support for nvidia optimus

* Mon Feb 10 2014 aponomarenko <aponomarenko@rosalab.ru> 0.107-1
+ Revision: 7936002
- Updated to 107

* Tue Jan 28 2014 akdengi <kazancas@mandriva.ru> 0.106-1
+ Revision: dd887c0
- 0.106

* Thu Jan 23 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.103-1
+ Revision: 669cf4d
- Updated to 103

* Fri Dec 27 2013 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.102-2
+ Revision: 96305eb
- Updated to 102

* Mon Nov 25 2013 akdengi <alexander.kazancev@rosalab.ru> 0.101-2
+ Revision: 88246c0
- fix error in display_helper kms and rebuild with new ldetect

* Sun Nov 24 2013 akdengi <kazancas@mandriva.ru> 0.100-2
+ Revision: 0f97723
- SILENT some fix tarball

* Sat Nov 23 2013 akdengi <kazancas@mandriva.ru> 0.100-1
+ Revision: 08136ed
- SILENT fix yaml

* Sat Nov 23 2013 akdengi <kazancas@mandriva.ru> 0.100-1
+ Revision: b1f2564
- SILENT fix tarball

* Sat Nov 23 2013 akdengi <kazancas@mandriva.ru> 0.100-1
+ Revision: 5b5cdd7
- SILENT fix tarball

* Sat Nov 23 2013 akdengi <kazancas@mandriva.ru> 0.100-1
+ Revision: ea219cf
- update to 0.100

* Wed Nov 20 2013 Tigro <ashejn@gmail.com> 0.99-8
+ Revision: c14de4f
- fix typo again

* Wed Nov 20 2013 Tigro <ashejn@gmail.com> 0.99-8
+ Revision: 5c8df12
- drop ralt_rshift_toggle as it does not work proper in GNOME

* Wed Nov 20 2013 Tigro <ashejn@gmail.com> 0.99-7
+ Revision: 8d3972e
- fix typo

* Wed Nov 20 2013 Tigro <ashejn@gmail.com> 0.99-7
+ Revision: a46baa7
- added new layout switching combinations

* Wed Oct 16 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 0.99-6
+ Revision: 3860bbf
- removed export LC_ALL=C from one of the binaries

* Tue Aug 27 2013 Tigro <ashejn@gmail.com> 0.99-4
+ Revision: b68b3c3
- added desktop file for XFdrake

* Fri Mar 01 2013 akdengi <kazancas@gmail.com> 0.99-3
+ Revision: 4f7cf12
- use config-utils-user request in pam.d for xfdrake

* Thu Feb 07 2013 akdengi <kazancas@mandriva.ru> 0.99-2
+ Revision: e9e56e6
- s/mandriva-simple-auth/config-util/

* Wed Dec 26 2012 akdengi <kazancas@mandriva.ru> 0.99-1
+ Revision: d1ccb5f
- fix syntax error in card.pm

* Wed Dec 26 2012 akdengi <kazancas@mandriva.ru> 0.99-1
+ Revision: c40bf7c
- fix syntax error in card.pm

* Wed Dec 26 2012 akdengi <kazancas@mandriva.ru> 0.99-1
+ Revision: a5c95ff
- 0.99

* Wed Dec 26 2012 akdengi <kazancas@mandriva.ru> 0.99-1
+ Revision: bb9a232
- 0.99

* Thu Dec 13 2012 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 0.98-1
+ Revision: 059ad93
- Updated localization

* Thu Dec 13 2012 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 0.98-1
+ Revision: c54e9db
- Updated localization

* Mon Nov 26 2012 akdengi <kazancas@mandriva.ru> 0.97-1
+ Revision: 6e696d2
- add tarball

* Mon Nov 26 2012 akdengi <kazancas@mandriva.ru> 0.97-1
+ Revision: 75579a6
- add tarball

* Mon Nov 26 2012 akdengi <kazancas@mandriva.ru> 0.97-1
+ Revision: b89c2ea
- fix

* Mon Nov 26 2012 Alexander Kazancev <kazancas@gmail.com> 0.97-1
+ Revision: 5e9b727
- Updated .abf.yml

* Mon Nov 26 2012 akdengi <kazancas@mandriva.ru> 0.97-1
+ Revision: 75c86a5
- - 0.97
- -  Change Quit to Apply settings. Really delete xorg.conf for non-proprietary drivers
- - Skip test. Not write Xorg.conf, only for proprietary blobs
- - Not need detect XAA/EXA - all card since XServer 13 use EXA only
- - Use Plug'n'play as default to all. Not need detect oldest devices
- - Install kernel-devel-latest if not present in system for current kernel (by uname -r)

* Fri Nov 16 2012 akdengi <kazancas@mandriva.ru> 0.96-1
+ Revision: 91a0efc
- fix tarball

* Fri Nov 16 2012 akdengi <kazancas@mandriva.ru> 0.95-2
+ Revision: 24e8bd8
- fix tarball

* Fri Nov 16 2012 akdengi <kazancas@mandriva.ru> 0.95-1
+ Revision: 9731ecc
- fix update-alternatives error with blob install

* Mon Nov 12 2012 akdengi <kazancas@mandriva.ru> 0.94-2
+ Revision: 8421ef8
- LOG -fix missed regenerate grub2 part

* Mon Nov 12 2012 akdengi <kazancas@mandriva.ru> 0.94-1
+ Revision: 4c26fb8
- 0.94. Fix URL, fix ru(winkeys), fix grub2 issues

* Wed Oct 31 2012 Alexander Kazancev <kazancas@gmail.com> 0.93-2
+ Revision: 702ec21
- Update with new ldetect-lst

* Wed Aug 29 2012 akdengi <kazancas@mandriva.ru> 0.93-1
+ Revision: acc652b
- LOG sync with cooker


